aboutsummaryrefslogtreecommitdiffstats
path: root/update.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xupdate.sh26
1 files changed, 22 insertions, 4 deletions
diff --git a/update.sh b/update.sh
index b4408bea..7f583808 100755
--- a/update.sh
+++ b/update.sh
@@ -1,18 +1,36 @@
#!/usr/bin/env sh
+
+# nixos-config - My current NixOS configuration
+#
+# Copyright (C) 2025 Benedikt Peetz <benedikt.peetz@b-peetz.de>
+# SPDX-License-Identifier: GPL-3.0-or-later
+#
+# This file is part of my nixos-config.
+#
+# You should have received a copy of the License along with this program.
+# If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
+
__update_sh_run() {
__update_sh_command="$1"
shift 1
- printf "\033[35;1m> \033[0m\033[35;1m%s\033[0m\n" "Running '$(basename "$__update_sh_command")' .."
+ printf "\033[35;1m> \033[0m\033[35;1m%s\033[0m\n" "Running '$(basename "$__update_sh_command") $*' .."
- "$__update_sh_command" "$@"
+ if ! "$__update_sh_command" "$@"; then
+ printf "ERROR: Command failed ('%s')\n" "$__update_sh_command"
+ exit 1
+ fi
unset __update_sh_command
}
-__update_sh_run ./modules/by-name/fi/firefox/update_extensions.sh "$@"
+__update_sh_run unflake.sh --backend=npins
+__update_sh_run npins update
__update_sh_run ./pkgs/update_pkgs.sh "$@"
-echo "Also update out-of tree dependencies, like yt!" 2>&1
+# __update_sh_run nix flake check
+__update_sh_run build.sh
+
+printf "\033[31;1m%s\033[0m\033[33;1m%s\033[0m\n" "Also update out-of-tree dependencies, like " "yt" 2>&1
# vim: ft=sh